Bug 600515 - [abrt] crash in system-config-bind-4.0.15-1.fc13: DNS.py:1033:__init__:ValueError: invalid literal for int() with base 10: 't 953'
Summary: [abrt] crash in system-config-bind-4.0.15-1.fc13: DNS.py:1033:__init__:ValueE...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1a3652b1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-04 21:28 UTC by Chris Miller
Modified: 2011-06-27 17:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 17:33:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.16 KB, text/plain)
2010-06-04 21:28 UTC, Chris Miller
no flags Details

Description Chris Miller 2010-06-04 21:28:10 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/sbin/system-config-bind
component: system-config-bind
executable: /usr/sbin/system-config-bind
kernel: 2.6.33.4-95.fc13.i686
package: system-config-bind-4.0.15-1.fc13
reason: DNS.py:1033:__init__:ValueError: invalid literal for int() with base 10: 't 953'
release: Fedora release 13 (Goddard)

backtrace
-----
DNS.py:1033:__init__:ValueError: invalid literal for int() with base 10: 't 953'

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 197, in <module>
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 107, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 95, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 192, in load
    self.zoneTree = ZoneTree(self)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1059, in __init__
    s.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1068, in load
    s.store.append(svr,[s.server_pic, _('Server Controls'), '', DNS.Controls(s.bind.nmdc)])
  File "/usr/share/system-config-bind/DNS.py", line 1033, in __init__
    port = int(ps[6:])
ValueError: invalid literal for int() with base 10: 't 953'

Local variables in innermost frame:
ps: '90 port 953'
addr: '10.255.1.90'
k: '127.0.0.1'
controls: {'inet': {'127.0.0.1 port 953 allow': {'keys': {'rndc': None}, '127.0.0.1': None}, '10.255.1.90 port 953 allow': {'10.255.1.90': None, 'keys': {'rndc': None}}}}
p: 11
s: <DNS.Controls instance at 0x8d6046c>

comment
-----
controls
    {
    inet 127.0.0.1 port 953 allow { 127.0.0.1; } keys { rndc; };
    inet 10.255.1.31 port 953 allow { 10.255.1.31; } keys { rndc; };
    inet 10.1.1.31 port 953 allow { 10.1.1.31; } keys { rndc; };
    };

How to reproduce
-----
# system-config-bind

Comment 1 Chris Miller 2010-06-04 21:28:11 UTC
Created attachment 421359 [details]
File: backtrace

Comment 2 Chris Miller 2010-06-04 22:59:57 UTC
Package: system-config-bind-4.0.15-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
# system-config-bind


Comment
-----
controls
    {
    inet 127.0.0.1 port 953 allow { 127.0.0.1; } keys { rndc; };
    inet 10.255.1.31 port 953 allow { 10.255.1.31; } keys { rndc; };
    inet 10.1.1.31 port 953 allow { 10.1.1.31; } keys { rndc; };
    };

Comment 3 Bug Zapper 2011-06-02 12:00:58 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 17:33:02 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.